Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 299242 - gnome-base/gnome-desktop-2.28: Slideshow backgrounds don't animate
Summary: gnome-base/gnome-desktop-2.28: Slideshow backgrounds don't animate
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2010-01-01 17:43 UTC by Ian Whyman (thev00d00)
Modified: 2010-03-06 18:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Upstream Patch (slideshow.patch,392 bytes, patch)
2010-01-01 17:45 UTC, Ian Whyman (thev00d00) (RETIRED)
Details | Diff
Patch for ebuild (against gnome-base/gnome-desktop-2.28.2) (gnome-desktop-ebuild.patch,518 bytes, patch)
2010-01-01 17:47 UTC, Ian Whyman (thev00d00) (RETIRED)
Details | Diff
Fixed ebuild patch (gnome-desktop-ebuild.patch,518 bytes, patch)
2010-01-01 17:50 UTC, Ian Whyman (thev00d00) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Whyman (thev00d00) (RETIRED) gentoo-dev 2010-01-01 17:43:33 UTC
When an animated sideshow is selected as the wallpaper for gnome-desktop it is not animated.

There is an upstream bug and patch available, but it has not yet been included in the mainline codebase.

GNOME bug: https://bugzilla.gnome.org/show_bug.cgi?id=601753
Sabayon Bug: http://bugs.sabayon.org/show_bug.cgi?id=1127
Comment 1 Ian Whyman (thev00d00) (RETIRED) gentoo-dev 2010-01-01 17:45:00 UTC
Created attachment 214854 [details, diff]
Upstream Patch
Comment 2 Ian Whyman (thev00d00) (RETIRED) gentoo-dev 2010-01-01 17:47:07 UTC
Created attachment 214856 [details, diff]
Patch for ebuild (against gnome-base/gnome-desktop-2.28.2)
Comment 3 Ian Whyman (thev00d00) (RETIRED) gentoo-dev 2010-01-01 17:50:09 UTC
Created attachment 214857 [details, diff]
Fixed ebuild patch
Comment 4 Pacho Ramos gentoo-dev 2010-03-05 19:14:22 UTC
From my point of view, this patch should be applied downstream since upstream seems too busy to include it (and we can follow fedora progress with it since they are including it since some time)
Comment 5 Pacho Ramos gentoo-dev 2010-03-06 18:43:54 UTC
Thanks Ian for reporting and the patch

Fixed in 2.28.2-r1